Subject: Re: bug#43269: 28.0.50; [feature/native-comp] provide a user feedback on Emacs being native compiled

From: Eli Zaretskii <[email-masked]>
Date: Wed, 09 Sep 2020 19:10:14 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 09 Sep 2020 15:19:58 +0000
> 
> the native compiler improved considerably the compilation speed with
> time.  I just took a measure at today's status native compiling only the
> dumped image (what is going to be default when native compiling).
> 
> On my dev machine vanilla Emacs uses 12m tot CPU time for a compilation
> from a fresh repo. The same native compiling takes 30m tot CPU time so
> IMO it is not terrible.

Is this with "make" or with "make -jN"? if the latter, what value of N
was used?

> For Guile I have no idea if it was simpler to implement or discuss.

I'm talking from the POV of a Guile user: it is simply seamless.